Package pyplusplus :: Package function_transformers :: Module controllers :: Class controller_base_t

# type controller_base_t

source code

    object --+
             |
            controller_base_t

Known Subclasses:
  - sealed_fun_controller_t
  - , virtual_mem_fun_controller_t
  - , virtual_mem_fun_controller_t.override_fun_controller_t

base class for all controller classes

Instance Methods

__init__(self, function) | source code

apply(self, transformations) asks all transformations to configure the controller | source code

Properties
| function

Method Details

### __init__(self, function)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### function